Index: trunk/dports/gnome/gnome-vfs/Portfile
===================================================================
--- trunk/dports/gnome/gnome-vfs/Portfile	(revision 117770)
+++ trunk/dports/gnome/gnome-vfs/Portfile	(revision 117771)
@@ -29,15 +29,23 @@
 
 depends_build   port:pkgconfig \
-                port:intltool
+                port:intltool \
+                port:gtk-doc \
+                port:gnome-common
 
 depends_lib     port:desktop-file-utils \
                 port:gconf \
+                port:gnome-mime-data \
                 port:openssl \
                 port:libxml2
 
-depends_run     port:gnome-mime-data \
-                port:shared-mime-info
+depends_run     port:shared-mime-info
 
-patchfiles      patch-configure.diff enable-deprecated.diff
+patchfiles      patch-acinclude.m4.diff \
+                patch-allow-glib-deprecated.diff
+
+# autoreconf with our intltool.m4 
+
+use_autoreconf  yes
+autoreconf.args -fvi
 
 configure.args  --enable-ipv6 \
Index: trunk/dports/gnome/gnome-vfs/files/enable-deprecated.diff
===================================================================
--- trunk/dports/gnome/gnome-vfs/files/enable-deprecated.diff	(revision 117770)
+++ 	(revision )
@@ -1,52 +1,0 @@
---- daemon/Makefile.in.orig	2010-09-28 19:35:22.000000000 +1000
-+++ daemon/Makefile.in	2013-05-07 11:44:04.000000000 +1000
-@@ -337,7 +337,6 @@
- 	-D_LARGEFILE64_SOURCE                   \
- 	-D_POSIX_PTHREAD_SEMANTICS		\
- 	-D_REENTRANT				\
--	-DG_DISABLE_DEPRECATED			\
- 	-DGNOME_VFS_PREFIX=\"$(prefix)\"	\
- 	-DGNOME_VFS_DATADIR=\"$(datadir)\"	\
- 	-DGNOME_VFS_LIBDIR=\"$(libdir)\"	\
---- libgnomevfs/Makefile.in.orig	2010-09-28 19:35:22.000000000 +1000
-+++ libgnomevfs/Makefile.in	2013-05-07 11:45:13.000000000 +1000
-@@ -430,7 +430,6 @@
- 	-D_LARGEFILE64_SOURCE                   \
- 	-D_POSIX_PTHREAD_SEMANTICS		\
- 	-D_REENTRANT				\
--	-DG_DISABLE_DEPRECATED			\
- 	-DGNOME_VFS_PREFIX=\"$(prefix)\"	\
- 	-DGNOME_VFS_BINDIR=\"$(bindir)\"	\
- 	-DGNOME_VFS_DATADIR=\"$(datadir)\"	\
---- modules/Makefile.in.orig	2010-09-28 19:35:22.000000000 +1000
-+++ modules/Makefile.in	2013-05-07 11:45:46.000000000 +1000
-@@ -468,7 +468,6 @@
- 	-D_POSIX_PTHREAD_SEMANTICS		\
- 	-D_REENTRANT				\
- 	-DSSH_PROGRAM=\"$(SSH_PROGRAM)\"	\
--	-DG_DISABLE_DEPRECATED			\
- 	-DGNOME_VFS_PREFIX=\"$(prefix)\"	\
- 	-DGNOME_VFS_DATADIR=\"$(datadir)\"	\
- 	-DGNOME_VFS_LIBDIR=\"$(libdir)\"	\
---- programs/Makefile.in.orig	2010-09-28 19:35:22.000000000 +1000
-+++ programs/Makefile.in	2013-05-07 11:46:24.000000000 +1000
-@@ -344,8 +344,7 @@
- 	-I$(top_srcdir)				\
- 	-I$(top_builddir)			\
- 	$(TEST_CFLAGS)				\
--	$(VFS_CFLAGS)				\
--	-DG_DISABLE_DEPRECATED
-+	$(VFS_CFLAGS)
- 
- libraries = \
- 	$(top_builddir)/libgnomevfs/libgnomevfs-2.la	\
---- test/Makefile.in.orig	2010-09-28 19:35:23.000000000 +1000
-+++ test/Makefile.in	2013-05-07 11:46:57.000000000 +1000
-@@ -471,7 +471,6 @@
- 	-I$(top_builddir)/libgnomevfs           \
- 	$(TEST_CFLAGS)				\
- 	$(VFS_CFLAGS)				\
--	-DG_DISABLE_DEPRECATED			\
- 	-DMODULES_PATH=\"$(libdir)/vfs/modules\"
- 
- @OS_WIN32_FALSE@platform_only_programs = test-dns-sd test-symlinks test-parse-ls-lga
Index: trunk/dports/gnome/gnome-vfs/files/patch-acinclude.m4.diff
===================================================================
--- trunk/dports/gnome/gnome-vfs/files/patch-acinclude.m4.diff	(revision 117771)
+++ trunk/dports/gnome/gnome-vfs/files/patch-acinclude.m4.diff	(revision 117771)
@@ -0,0 +1,13 @@
+--- acinclude.m4.orig	2014-03-12 09:09:48.000000000 -0700
++++ acinclude.m4	2014-03-12 09:10:13.000000000 -0700
+@@ -404,8 +404,8 @@
+ *) ne_cv_os_macosx=no ;;
+ esac])
+ if test $ne_cv_os_macosx = yes; then
+-  CPPFLAGS="$CPPFLAGS -no-cpp-precomp"
+-  LDFLAGS="$LDFLAGS -flat_namespace"
++  CPPFLAGS="$CPPFLAGS"
++  LDFLAGS="$LDFLAGS"
+ fi
+ ])
+ 
Index: trunk/dports/gnome/gnome-vfs/files/patch-allow-glib-deprecated.diff
===================================================================
--- trunk/dports/gnome/gnome-vfs/files/patch-allow-glib-deprecated.diff	(revision 117771)
+++ trunk/dports/gnome/gnome-vfs/files/patch-allow-glib-deprecated.diff	(revision 117771)
@@ -0,0 +1,61 @@
+--- daemon/Makefile.am.orig	2014-03-12 09:02:27.000000000 -0700
++++ daemon/Makefile.am	2014-03-12 09:05:09.000000000 -0700
+@@ -8,7 +8,6 @@
+ 	-D_LARGEFILE64_SOURCE                   \
+ 	-D_POSIX_PTHREAD_SEMANTICS		\
+ 	-D_REENTRANT				\
+-	-DG_DISABLE_DEPRECATED			\
+ 	-DGNOME_VFS_PREFIX=\"$(prefix)\"	\
+ 	-DGNOME_VFS_DATADIR=\"$(datadir)\"	\
+ 	-DGNOME_VFS_LIBDIR=\"$(libdir)\"	\
+--- libgnomevfs/Makefile.am.orig	2014-03-12 09:02:39.000000000 -0700
++++ libgnomevfs/Makefile.am	2014-03-12 09:04:54.000000000 -0700
+@@ -19,7 +19,6 @@
+ 	-D_LARGEFILE64_SOURCE                   \
+ 	-D_POSIX_PTHREAD_SEMANTICS		\
+ 	-D_REENTRANT				\
+-	-DG_DISABLE_DEPRECATED			\
+ 	-DGNOME_VFS_PREFIX=\"$(prefix)\"	\
+ 	-DGNOME_VFS_BINDIR=\"$(bindir)\"	\
+ 	-DGNOME_VFS_DATADIR=\"$(datadir)\"	\
+--- modules/Makefile.am.orig	2014-03-12 09:02:53.000000000 -0700
++++ modules/Makefile.am	2014-03-12 09:04:32.000000000 -0700
+@@ -18,7 +18,6 @@
+ 	-D_POSIX_PTHREAD_SEMANTICS		\
+ 	-D_REENTRANT				\
+ 	-DSSH_PROGRAM=\"$(SSH_PROGRAM)\"	\
+-	-DG_DISABLE_DEPRECATED			\
+ 	-DGNOME_VFS_PREFIX=\"$(prefix)\"	\
+ 	-DGNOME_VFS_DATADIR=\"$(datadir)\"	\
+ 	-DGNOME_VFS_LIBDIR=\"$(libdir)\"	\
+--- programs/Makefile.am.orig	2014-03-12 09:03:24.000000000 -0700
++++ programs/Makefile.am	2014-03-12 09:04:02.000000000 -0700
+@@ -4,8 +4,7 @@
+ 	-I$(top_srcdir)				\
+ 	-I$(top_builddir)			\
+ 	$(TEST_CFLAGS)				\
+-	$(VFS_CFLAGS)				\
+-	-DG_DISABLE_DEPRECATED
++	$(VFS_CFLAGS)
+ 
+ libraries =						\
+ 	$(top_builddir)/libgnomevfs/libgnomevfs-2.la	\
+--- test/Makefile.am.orig	2014-03-12 08:39:33.000000000 -0700
++++ test/Makefile.am	2014-03-12 08:58:10.000000000 -0700
+@@ -6,7 +6,6 @@
+ 	-I$(top_builddir)/libgnomevfs           \
+ 	$(TEST_CFLAGS)				\
+ 	$(VFS_CFLAGS)				\
+-	-DG_DISABLE_DEPRECATED			\
+ 	-DMODULES_PATH=\"$(libdir)/vfs/modules\"
+ 
+ if OS_WIN32
+@@ -65,7 +64,7 @@
+ 	test-async-cancel \
+ 	test-escape       \
+ 	test-uri       	  \
+-	$(srcdir)/auto-test	
++	auto-test	
+ 
+ libraries =						\
+ 	$(top_builddir)/libgnomevfs/libgnomevfs-2.la	\
Index: trunk/dports/gnome/gnome-vfs/files/patch-configure.diff
===================================================================
--- trunk/dports/gnome/gnome-vfs/files/patch-configure.diff	(revision 117770)
+++ 	(revision )
@@ -1,13 +1,0 @@
---- configure.orig	2010-09-28 02:35:20.000000000 -0700
-+++ configure	2010-09-29 21:50:44.000000000 -0700
-@@ -16232,8 +16232,8 @@
- { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ne_cv_os_macosx" >&5
- $as_echo "$ne_cv_os_macosx" >&6; }
- if test $ne_cv_os_macosx = yes; then
--  CPPFLAGS="$CPPFLAGS -no-cpp-precomp"
--  LDFLAGS="$LDFLAGS -flat_namespace"
-+  CPPFLAGS="$CPPFLAGS"
-+  LDFLAGS="$LDFLAGS"
- fi
- 
- 