Index: trunk/dports/devel/boost/files/patch-boost-foreach.diff
===================================================================
--- trunk/dports/devel/boost/files/patch-boost-foreach.diff	(revision 117773)
+++ 	(revision )
@@ -1,62 +1,0 @@
-# https://svn.boost.org/trac/boost/ticket/6131
-# https://svn.boost.org/trac/boost/changeset/75540
-Index: boost/foreach_fwd.hpp
-===================================================================
---- boost/foreach_fwd.hpp	(revision 62661)
-+++ boost/foreach_fwd.hpp	(revision 75540)
-@@ -15,4 +15,6 @@
- #define BOOST_FOREACH_FWD_HPP
- 
-+#include <utility> // for std::pair
-+
- // This must be at global scope, hence the uglified name
- enum boost_foreach_argument_dependent_lookup_hack
-@@ -26,4 +28,7 @@
- namespace foreach
- {
-+    template<typename T>
-+    std::pair<T, T> in_range(T begin, T end);
-+
-     ///////////////////////////////////////////////////////////////////////////////
-     // boost::foreach::tag
-@@ -47,4 +52,22 @@
- } // namespace foreach
- 
-+// Workaround for unfortunate https://svn.boost.org/trac/boost/ticket/6131
-+namespace BOOST_FOREACH
-+{
-+    using foreach::in_range;
-+    using foreach::tag;
-+
-+    template<typename T>
-+    struct is_lightweight_proxy
-+      : foreach::is_lightweight_proxy<T>
-+    {};
-+
-+    template<typename T>
-+    struct is_noncopyable
-+      : foreach::is_noncopyable<T>
-+    {};
-+
-+} // namespace BOOST_FOREACH
-+
- } // namespace boost
- 
-Index: boost/foreach.hpp
-===================================================================
---- boost/foreach.hpp	(revision 75077)
-+++ boost/foreach.hpp	(revision 75540)
-@@ -166,5 +166,5 @@
- //   at the global namespace for your type.
- template<typename T>
--inline boost::foreach::is_lightweight_proxy<T> *
-+inline boost::BOOST_FOREACH::is_lightweight_proxy<T> *
- boost_foreach_is_lightweight_proxy(T *&, BOOST_FOREACH_TAG_DEFAULT) { return 0; }
- 
-@@ -191,5 +191,5 @@
- //   at the global namespace for your type.
- template<typename T>
--inline boost::foreach::is_noncopyable<T> *
-+inline boost::BOOST_FOREACH::is_noncopyable<T> *
- boost_foreach_is_noncopyable(T *&, BOOST_FOREACH_TAG_DEFAULT) { return 0; }
- 
Index: trunk/dports/devel/boost/files/patch-libs-python-src-converter-builtin_converters.cpp
===================================================================
--- trunk/dports/devel/boost/files/patch-libs-python-src-converter-builtin_converters.cpp	(revision 117773)
+++ 	(revision )
@@ -1,12 +1,0 @@
---- libs/python/src/converter/builtin_converters.cpp	(revision 56305)
-+++ libs/python/src/converter/builtin_converters.cpp	(revision 71050)
-@@ -432,5 +432,8 @@
-           {
-               int err = PyUnicode_AsWideChar(
--                  (PyUnicodeObject *)intermediate
-+#if PY_VERSION_HEX < 0x03020000
-+                  (PyUnicodeObject *)
-+#endif
-+                    intermediate
-                 , &result[0]
-                 , result.size());
Index: trunk/dports/devel/boost/files/patch-thread_visibility.diff
===================================================================
--- trunk/dports/devel/boost/files/patch-thread_visibility.diff	(revision 117773)
+++ 	(revision )
@@ -1,80 +1,0 @@
-diff -ru boost/exception/exception.hpp /opt/local/include/boost/exception/exception.hpp
---- boost/exception/exception.hpp	2011-07-10 01:45:57.000000000 -0400
-+++ /opt/local/include/boost/exception/exception.hpp	2011-07-15 13:12:46.000000000 -0400
-@@ -310,6 +310,11 @@
-     namespace
-     exception_detail
-         {
-+#if defined(__GNUC__) 
-+# if (__GNUC__ == 4 && __GNUC_MINOR__ >= 1) || (__GNUC__ > 4) 
-+#  pragma GCC visibility push (default) 
-+# endif
-+#endif
-         template <class T>
-         struct
-         error_info_injector:
-@@ -326,6 +331,11 @@
-                 {
-                 }
-             };
-+#if defined(__GNUC__) 
-+# if (__GNUC__ == 4 && __GNUC_MINOR__ >= 1) || (__GNUC__ > 4) 
-+#  pragma GCC visibility pop 
-+# endif
-+#endif
- 
-         struct large_size { char c[256]; };
-         large_size dispatch_boost_exception( exception const * );
-@@ -373,6 +383,11 @@
-     namespace
-     exception_detail
-         {
-+#if defined(__GNUC__) 
-+# if (__GNUC__ == 4 && __GNUC_MINOR__ >= 1) || (__GNUC__ > 4) 
-+#  pragma GCC visibility push (default) 
-+# endif
-+#endif
-         class
-         clone_base
-             {
-@@ -439,6 +454,11 @@
-                 throw*this;
-                 }
-             };
-+#if defined(__GNUC__) 
-+# if (__GNUC__ == 4 && __GNUC_MINOR__ >= 1) || (__GNUC__ > 4) 
-+#  pragma GCC visibility pop 
-+# endif
-+#endif
-         }
- 
-     template <class T>
-diff -ru boost/thread/exceptions.hpp /opt/local/include/boost/thread/exceptions.hpp
---- boost/thread/exceptions.hpp	2009-10-19 05:18:13.000000000 -0400
-+++ /opt/local/include/boost/thread/exceptions.hpp	2011-07-15 12:52:20.000000000 -0400
-@@ -21,6 +21,12 @@
- 
- #include <boost/config/abi_prefix.hpp>
- 
-+#if defined(__GNUC__) 
-+# if (__GNUC__ == 4 && __GNUC_MINOR__ >= 1) || (__GNUC__ > 4) 
-+#  pragma GCC visibility push (default) 
-+# endif
-+#endif
-+
- namespace boost
- {
- 
-@@ -177,6 +183,12 @@
- 
- } // namespace boost
- 
-+#if defined(__GNUC__) 
-+# if (__GNUC__ == 4 && __GNUC_MINOR__ >= 1) || (__GNUC__ > 4) 
-+#  pragma GCC visibility pop 
-+# endif
-+#endif
-+
- #include <boost/config/abi_suffix.hpp>
- 
- #endif