Index: trunk/dports/gnome/gstreamer010-gst-plugins-bad/Portfile
===================================================================
--- trunk/dports/gnome/gstreamer010-gst-plugins-bad/Portfile	(revision 117778)
+++ trunk/dports/gnome/gstreamer010-gst-plugins-bad/Portfile	(revision 117779)
@@ -5,5 +5,5 @@
 
 # https://bugzilla.gnome.org/show_bug.cgi?id=636134
-PortGroup   muniversal 1.0
+PortGroup           muniversal 1.0
 
 name                gstreamer010-gst-plugins-bad
@@ -30,29 +30,29 @@
                     rmd160  3a837843b8aa941ff7c81b90d37930ccb1ddb0be
 
-depends_build port:pkgconfig
-depends_lib port:gstreamer010-gst-plugins-base \
-            port:XviD \
-            port:curl \
-            port:dirac \
-            port:exempi \
-            port:faac \
-            port:faad2 \
-            port:jasper \
-            port:libdc1394 \
-            port:libdca \
-            port:libexif \
-            port:libglade2 \
-            port:libmms \
-            port:libmodplug \
-            port:libmpcdec \
-            port:libmusicbrainz2 \
-            port:libpng \
-            port:librsvg \
-            port:libsndfile \
-            port:libvpx \
-            port:soundtouch \
-            port:neon \
-            port:rtmpdump \
-            port:schroedinger
+depends_build       port:pkgconfig
+depends_lib         port:gstreamer010-gst-plugins-base \
+                    port:XviD \
+                    port:curl \
+                    port:dirac \
+                    port:exempi \
+                    port:faac \
+                    port:faad2 \
+                    port:jasper \
+                    port:libdc1394 \
+                    port:libdca \
+                    port:libexif \
+                    port:libglade2 \
+                    port:libmms \
+                    port:libmodplug \
+                    port:libmpcdec \
+                    port:libmusicbrainz2 \
+                    port:libpng \
+                    port:librsvg \
+                    port:libsndfile \
+                    port:libvpx \
+                    port:soundtouch \
+                    port:neon \
+                    port:rtmpdump \
+                    port:schroedinger
 
 #
@@ -75,19 +75,19 @@
 #
 
-configure.args              --disable-silent-rules \
-                            --disable-assrender \
-                            --disable-quicktime \
-                            --disable-mpeg2enc \
-                            --disable-mplex \
-                            --disable-opus \
-                            --disable-opencv \
-                            --disable-lv2 \
-                            --disable-resindvd \
-                            --disable-sdl \
-                            --disable-sdltest \
-                            --disable-spandsp \
-                            --disable-schemas-compile \
-                            --enable-experimental \
-                            --enable-static
+configure.args      --disable-silent-rules \
+                    --disable-assrender \
+                    --disable-quicktime \
+                    --disable-mpeg2enc \
+                    --disable-mplex \
+                    --disable-opus \
+                    --disable-opencv \
+                    --disable-lv2 \
+                    --disable-resindvd \
+                    --disable-sdl \
+                    --disable-sdltest \
+                    --disable-spandsp \
+                    --disable-schemas-compile \
+                    --enable-experimental \
+                    --enable-static
 
 #
@@ -96,6 +96,6 @@
 
 if { ${os.major} < 10 } {
-        depends_lib-delete port:soundtouch
-        configure.args-append --disable-soundtouch
+    depends_lib-delete port:soundtouch
+    configure.args-append --disable-soundtouch
 }
 
@@ -104,10 +104,10 @@
 configure.env-append        "HAVE_CXX=yes"
 
-use_autoreconf          yes
-autoreconf.args         -fvi
+use_autoreconf      yes
+autoreconf.args     -fvi
 
-patchfiles  modplug.patch \
-            po.patch \
-            objcflags.patch
+patchfiles          modplug.patch \
+                    po.patch \
+                    objcflags.patch
 
 post-patch {
@@ -119,5 +119,5 @@
 
 variant no_x11 {
-        configure.args-append --disable-examples
+    configure.args-append --disable-examples
 }
 
@@ -142,6 +142,6 @@
 
 post-activate {
-	system "${prefix}/bin/glib-compile-schemas ${prefix}/share/glib-2.0/schemas"
+    system "${prefix}/bin/glib-compile-schemas ${prefix}/share/glib-2.0/schemas"
 }
 
-livecheck.type  none
+livecheck.type      none