Index: trunk/dports/gnome/gedit/Portfile
===================================================================
--- trunk/dports/gnome/gedit/Portfile	(revision 118356)
+++ trunk/dports/gnome/gedit/Portfile	(revision 118357)
@@ -25,4 +25,5 @@
                 port:intltool \
                 port:gnome-doc-utils \
+                port:gnome-common \
                 port:pkgconfig
 
@@ -39,5 +40,14 @@
 use_bzip2       yes
 
-patchfiles      patch-configure.diff
+patchfiles      patch-configure.ac.diff
+
+# update m4/intltool.m4 and autoreconf
+
+pre-configure {
+    copy -force ${prefix}/share/aclocal/intltool.m4 ${worksrcpath}/m4
+}
+
+use_autoreconf      yes
+autoreconf.args     -fvi
 
 configure.args  --mandir=${prefix}/share/man \
@@ -46,4 +56,7 @@
                 --disable-gvfs-metadata \
                 --disable-updater
+
+configure.cflags-append \
+                -Wno-error=pointer-arith -Wno-error=format-nonliteral
 
 variant python26 conflicts python27 description {Use python 2.6} {
Index: trunk/dports/gnome/gedit/files/patch-configure.ac.diff
===================================================================
--- trunk/dports/gnome/gedit/files/patch-configure.ac.diff	(revision 118357)
+++ trunk/dports/gnome/gedit/files/patch-configure.ac.diff	(revision 118357)
@@ -0,0 +1,31 @@
+--- configure.ac.orig	2014-03-30 08:45:14.000000000 -0700
++++ configure.ac	2014-03-30 08:52:58.000000000 -0700
+@@ -155,8 +155,9 @@
+ 
+ IT_PROG_INTLTOOL([0.40.0])
+ AC_SUBST([GETTEXT_PACKAGE], [gedit])
+-AM_GNU_GETTEXT_VERSION([0.17])
+-AM_GLIB_GNU_GETTEXT
++dnl Don't use both AM_GNU_GETTEXT and IT_PROG_INTLTOOL
++dnl AM_GNU_GETTEXT_VERSION([0.17])
++dnl AM_GLIB_GNU_GETTEXT
+ AC_DEFINE([GETTEXT_PACKAGE],[PACKAGE_TARNAME], [Define to the gettext package name.])
+ 
+ dnl ================================================================
+@@ -271,6 +272,7 @@
+ 	libxml-2.0 >= 2.5.0
+ 	glib-2.0 >= 2.22.0
+ 	gthread-2.0 >= 2.13.0
++	gmodule-2.0
+ 	gio-2.0 >= 2.23.1
+ 	gtk+-2.0 >= 2.16.0
+ 	gtksourceview-2.0 >= 2.9.7
+@@ -280,7 +282,7 @@
+ if test "$os_osx" = "no" &&
+    test "$os_win32" = "no"; then
+ 	PKG_CHECK_MODULES(X11, [
+-		x11
++		x11 ice
+ 	])
+ else
+ 	X11_CFLAGS=
Index: trunk/dports/gnome/gedit/files/patch-configure.diff
===================================================================
--- trunk/dports/gnome/gedit/files/patch-configure.diff	(revision 118356)
+++ 	(revision )
@@ -1,145 +1,0 @@
---- configure.orig	2013-02-11 09:46:05.000000000 -0800
-+++ configure	2013-02-11 09:47:49.000000000 -0800
-@@ -13874,6 +13874,7 @@ if test -n "$GEDIT_CFLAGS"; then
- 	libxml-2.0 >= 2.5.0
- 	glib-2.0 >= 2.22.0
- 	gthread-2.0 >= 2.13.0
-+	gmodule-2.0
- 	gio-2.0 >= 2.23.1
- 	gtk+-2.0 >= 2.16.0
- 	gtksourceview-2.0 >= 2.9.7
-@@ -13883,6 +13884,7 @@ if test -n "$GEDIT_CFLAGS"; then
- 	libxml-2.0 >= 2.5.0
- 	glib-2.0 >= 2.22.0
- 	gthread-2.0 >= 2.13.0
-+	gmodule-2.0
- 	gio-2.0 >= 2.23.1
- 	gtk+-2.0 >= 2.16.0
- 	gtksourceview-2.0 >= 2.9.7
-@@ -13895,6 +13897,7 @@ if test -n "$GEDIT_CFLAGS"; then
- 	libxml-2.0 >= 2.5.0
- 	glib-2.0 >= 2.22.0
- 	gthread-2.0 >= 2.13.0
-+	gmodule-2.0
- 	gio-2.0 >= 2.23.1
- 	gtk+-2.0 >= 2.16.0
- 	gtksourceview-2.0 >= 2.9.7
-@@ -13914,6 +13917,7 @@ if test -n "$GEDIT_LIBS"; then
- 	libxml-2.0 >= 2.5.0
- 	glib-2.0 >= 2.22.0
- 	gthread-2.0 >= 2.13.0
-+	gmodule-2.0
- 	gio-2.0 >= 2.23.1
- 	gtk+-2.0 >= 2.16.0
- 	gtksourceview-2.0 >= 2.9.7
-@@ -13923,6 +13927,7 @@ if test -n "$GEDIT_LIBS"; then
- 	libxml-2.0 >= 2.5.0
- 	glib-2.0 >= 2.22.0
- 	gthread-2.0 >= 2.13.0
-+	gmodule-2.0
- 	gio-2.0 >= 2.23.1
- 	gtk+-2.0 >= 2.16.0
- 	gtksourceview-2.0 >= 2.9.7
-@@ -13935,6 +13940,7 @@ if test -n "$GEDIT_LIBS"; then
- 	libxml-2.0 >= 2.5.0
- 	glib-2.0 >= 2.22.0
- 	gthread-2.0 >= 2.13.0
-+	gmodule-2.0
- 	gio-2.0 >= 2.23.1
- 	gtk+-2.0 >= 2.16.0
- 	gtksourceview-2.0 >= 2.9.7
-@@ -13963,6 +13969,7 @@ fi
- 	libxml-2.0 >= 2.5.0
- 	glib-2.0 >= 2.22.0
- 	gthread-2.0 >= 2.13.0
-+	gmodule-2.0
- 	gio-2.0 >= 2.23.1
- 	gtk+-2.0 >= 2.16.0
- 	gtksourceview-2.0 >= 2.9.7
-@@ -13973,6 +13980,7 @@ fi
- 	libxml-2.0 >= 2.5.0
- 	glib-2.0 >= 2.22.0
- 	gthread-2.0 >= 2.13.0
-+	gmodule-2.0
- 	gio-2.0 >= 2.23.1
- 	gtk+-2.0 >= 2.16.0
- 	gtksourceview-2.0 >= 2.9.7
-@@ -13986,6 +13994,7 @@ fi
- 	libxml-2.0 >= 2.5.0
- 	glib-2.0 >= 2.22.0
- 	gthread-2.0 >= 2.13.0
-+	gmodule-2.0
- 	gio-2.0 >= 2.23.1
- 	gtk+-2.0 >= 2.16.0
- 	gtksourceview-2.0 >= 2.9.7
-@@ -14038,15 +14047,18 @@ if test -n "$X11_CFLAGS"; then
-     if test -n "$PKG_CONFIG" && \
-     { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"
- 		x11
-+		ice
- 	\""; } >&5
-   ($PKG_CONFIG --exists --print-errors "
- 		x11
-+		ice
- 	") 2>&5
-   ac_status=$?
-   $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
-   test $ac_status = 0; }; then
-   pkg_cv_X11_CFLAGS=`$PKG_CONFIG --cflags "
- 		x11
-+		ice
- 	" 2>/dev/null`
- else
-   pkg_failed=yes
-@@ -14060,15 +14072,18 @@ if test -n "$X11_LIBS"; then
-     if test -n "$PKG_CONFIG" && \
-     { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"
- 		x11
-+		ice
- 	\""; } >&5
-   ($PKG_CONFIG --exists --print-errors "
- 		x11
-+		ice
- 	") 2>&5
-   ac_status=$?
-   $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
-   test $ac_status = 0; }; then
-   pkg_cv_X11_LIBS=`$PKG_CONFIG --libs "
- 		x11
-+		ice
- 	" 2>/dev/null`
- else
-   pkg_failed=yes
-@@ -14091,10 +14106,12 @@ fi
-         if test $_pkg_short_errors_supported = yes; then
- 	        X11_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "
- 		x11
-+		ice
- 	" 2>&1`
-         else
- 	        X11_PKG_ERRORS=`$PKG_CONFIG --print-errors "
- 		x11
-+		ice
- 	" 2>&1`
-         fi
- 	# Put the nasty error message in config.log where it belongs
-@@ -14102,6 +14119,7 @@ fi
- 
- 	as_fn_error $? "Package requirements (
- 		x11
-+		ice
- 	) were not met:
- 
- $X11_PKG_ERRORS
-@@ -14495,9 +14495,9 @@
- 
- 
- 
--  PYTHON_PREFIX='${prefix}'
-+  PYTHON_PREFIX=`$PYTHON -c 'import sys; print sys.prefix;'`
- 
--  PYTHON_EXEC_PREFIX='${exec_prefix}'
-+  PYTHON_EXEC_PREFIX=`$PYTHON -c 'import sys; print sys.exec_prefix;'`
- 
- 
- 