Index: trunk/dports/aqua/qt5-mac/Portfile
===================================================================
--- trunk/dports/aqua/qt5-mac/Portfile	(revision 135231)
+++ trunk/dports/aqua/qt5-mac/Portfile	(revision 135232)
@@ -243,4 +243,7 @@
 
 if { ${subport} eq ${name} } {
+    # remove this when updating to the next version
+    incr revision
+
     depends_lib                              \
         port:zlib                            \
Index: trunk/dports/databases/couchdb-devel/Portfile
===================================================================
--- trunk/dports/databases/couchdb-devel/Portfile	(revision 135231)
+++ trunk/dports/databases/couchdb-devel/Portfile	(revision 135232)
@@ -8,5 +8,5 @@
 conflicts               couchdb
 version                 1.4.0a-20130330
-revision                3
+revision                4
 
 categories              databases
Index: trunk/dports/databases/couchdb/Portfile
===================================================================
--- trunk/dports/databases/couchdb/Portfile	(revision 135231)
+++ trunk/dports/databases/couchdb/Portfile	(revision 135232)
@@ -8,5 +8,5 @@
 conflicts               couchdb-devel
 version                 1.6.1
-revision                1
+revision                2
 
 categories              databases
Index: trunk/dports/databases/openldap/Portfile
===================================================================
--- trunk/dports/databases/openldap/Portfile	(revision 135231)
+++ trunk/dports/databases/openldap/Portfile	(revision 135232)
@@ -7,4 +7,5 @@
 name            openldap
 version         2.4.40
+revision        1
 categories      databases
 maintainers     landonf
Index: trunk/dports/devel/boost/Portfile
===================================================================
--- trunk/dports/devel/boost/Portfile	(revision 135231)
+++ trunk/dports/devel/boost/Portfile	(revision 135232)
@@ -8,4 +8,5 @@
 name            boost
 version         1.58.0
+revision        1
 license         Boost-1
 categories      devel
Index: trunk/dports/devel/icu/Portfile
===================================================================
--- trunk/dports/devel/icu/Portfile	(revision 135231)
+++ trunk/dports/devel/icu/Portfile	(revision 135232)
@@ -10,5 +10,5 @@
 # To find dependencies, use:
 # port file all | sort -u | xargs grep -E ':icu( |$)' | cut -d / -f 12 | sort -u
-version         54.1
+version         55.1
 categories      devel textproc
 platforms       darwin freebsd
@@ -40,6 +40,6 @@
     
     distfiles           ${distname}-docs.zip
-    checksums           rmd160  30fa1ba3c579f65aa59bbf80854f6c302be42fa4 \
-                        sha256  879fbfc4f0609c1ed113496ebea7dc5e531b95f2d8507ec50b2262adbe96b2e8
+    checksums           rmd160  d5ee9d13b90516c1722e25fd75b62119dbe99f12 \
+                        sha256  1c70c2283655e1d502baa32e4d087f8ce8f07b6230e6baed3567e74c42e5ffcc
     
     use_zip             yes
@@ -78,11 +78,9 @@
     distfiles       ${distname}-src${extract.suffix}
     
-    checksums       rmd160  b1440e1a3330b12336742c881863a8de6a6d2235 \
-                    sha256  d42bc9a8ca6a91c55eb0925c279f49e5b508d51ef26ac9850d9be55de5bb8ab3
+    checksums           rmd160  94dcaaac13b41de3588b01f39febe1b1cbd5765d \
+                        sha256  e16b22cbefdd354bec114541f7849a12f8fc2015320ca5282ee4fd787571457b
     
-    patchfiles      patch-config-mh-darwin.diff
-    
-    # icu appends -O2 to the cflags and cxxflags
-    configure.optflags-delete -Os
+    patchfiles-append   patch-Makefile.in.diff
+    patchfiles-append   patch-config-mh-darwin.diff
     
     # ICU has three mechanisms to aid other projects in building properly
@@ -106,40 +104,24 @@
     #    http://bugs.icu-project.org/trac/ticket/10308
     #    http://bugs.icu-project.org/trac/ticket/6102
-    if { [variant_exists universal] && [variant_isset universal]} {
-        merger-post-destroot {
-            set rebuilton ""
+    post-build {
+        if {[variant_exists universal] && [variant_isset universal]} {
+            set dirs {}
             foreach arch ${universal_archs_to_use} {
-                set dir ${destroot}-${arch}
-                
-                # SIZEOF_VOID_P is no longer used in icu-config, so remove it to facilitate merging of the shell script
-                reinplace {s| -DSIZEOF_VOID_P=[48]||g} ${dir}${prefix}/bin/icu-config
-                
-                # icu-config contains the exact time it was built, which makes merging difficult
-                # ensure that all versions of icu-config have the same build timestamp
-                if { ${rebuilton} eq "" } {
-                    set rebuilton [exec /usr/bin/tail -n 1 ${dir}${prefix}/bin/icu-config]
-                } else {
-                    reinplace "s|^# Rebuilt on .*|${rebuilton}|" ${dir}${prefix}/bin/icu-config
-                }
-                
-                # Removing architecture specific information from the Makefile include files is necessary to merge them correctly.
-                # It is conceivable that this could cause problems for certain projects.
-                # The developers of ICU suggest using pkg-config over both icu-config and the Makefile includes.
-                reinplace {s| -DSIZEOF_VOID_P=[48]||g} ${dir}${prefix}/lib/icu/${version}/Makefile.inc
-                reinplace -E {s:-arch +[^ ]+::g} ${dir}${prefix}/lib/icu/${version}/pkgdata.inc
+                lappend dirs ${worksrcpath}-${arch}
             }
+        } else {
+            set dirs ${worksrcpath}
         }
-    } else {
-        post-destroot {
-            # stay consistent with the universal build (see comments above)
-            if { [file exists ${destroot}${prefix}/bin/icu-config] } {
-                reinplace {s| -DSIZEOF_VOID_P=[48]||g} ${destroot}${prefix}/bin/icu-config
-            }
-            if { [file exists ${destroot}${prefix}/lib/icu/${version}/Makefile.inc] } {
-                reinplace {s| -DSIZEOF_VOID_P=[48]||g} ${destroot}${prefix}/lib/icu/${version}/Makefile.inc
-            }
-            if { [file exists ${destroot}${prefix}/lib/icu/${version}/pkgdata.inc] } {
-                reinplace -E {s:-arch +[^ ]+::g} ${destroot}${prefix}/lib/icu/${version}/pkgdata.inc
-            }
+        foreach dir ${dirs} {
+            # Removing architecture-specific differences is necessary to facilitate merging.
+            # This should not be a problem for projects using icu-config because we do not
+            # believe icu-config uses SIZEOF_VOID_P anyway. Projects using the Makefile
+            # include files may experience problems. The developers of ICU suggest using
+            # pkg-config over both icu-config and the Makefile includes.
+            reinplace {s| -DSIZEOF_VOID_P=[48]||g} \
+                ${dir}/config/Makefile.inc \
+                ${dir}/config/icu-config
+            reinplace -E {s| -arch +[^ ]+||g} \
+                ${dir}/config/pkgdata.inc
         }
     }
Index: trunk/dports/devel/icu/files/patch-Makefile.in.diff
===================================================================
--- trunk/dports/devel/icu/files/patch-Makefile.in.diff	(revision 135232)
+++ trunk/dports/devel/icu/files/patch-Makefile.in.diff	(revision 135232)
@@ -0,0 +1,10 @@
+--- Makefile.in.orig	2015-03-22 17:32:54.000000000 -0500
++++ Makefile.in	2015-03-22 17:33:14.000000000 -0500
+@@ -335,7 +335,6 @@
+ 	LC_ALL=C sed -f $(top_srcdir)/config/make2sh.sed < $(top_builddir)/config/Makefile.inc | grep -v '#M#' | uniq >> $@
+ 	LC_ALL=C sed -f $(top_srcdir)/config/make2sh.sed < @platform_make_fragment@ | grep -v '#M#' | uniq >> $@
+ 	cat $(top_srcdir)/config/icu-config-bottom >> $@
+-	echo "# Rebuilt on "`date` >> $@
+ 	chmod u-w $@
+ 
+ config.status: $(srcdir)/configure $(srcdir)/common/unicode/uvernum.h
Index: trunk/dports/devel/icu/files/patch-common-putil.cpp.diff
===================================================================
--- trunk/dports/devel/icu/files/patch-common-putil.cpp.diff	(revision 135231)
+++ trunk/dports/devel/icu/files/patch-common-putil.cpp.diff	(revision 135232)
@@ -1,6 +1,6 @@
 http://bugs.icu-project.org/trac/ticket/9367
---- common/putil.cpp.orig	2012-06-01 10:52:46.000000000 -0400
-+++ common/putil.cpp	2012-10-05 19:53:14.000000000 -0400
-@@ -123,6 +123,13 @@
+--- common/putil.cpp.orig	2015-03-18 13:40:00.000000000 -0500
++++ common/putil.cpp	2015-03-22 16:55:39.000000000 -0500
+@@ -117,6 +117,13 @@
  #endif
  
Index: trunk/dports/devel/iojs/Portfile
===================================================================
--- trunk/dports/devel/iojs/Portfile	(revision 135231)
+++ trunk/dports/devel/iojs/Portfile	(revision 135232)
@@ -7,4 +7,5 @@
 name                    iojs
 version                 1.7.1
+revision                1
 
 categories              devel net
Index: trunk/dports/devel/libphonenumber-cpp/Portfile
===================================================================
--- trunk/dports/devel/libphonenumber-cpp/Portfile	(revision 135231)
+++ trunk/dports/devel/libphonenumber-cpp/Portfile	(revision 135232)
@@ -11,4 +11,5 @@
 
 name                libphonenumber-cpp
+revision            1
 license             Apache-2.0
 description         Google's C++ library for parsing, formatting, storing \
Index: trunk/dports/devel/nodejs/Portfile
===================================================================
--- trunk/dports/devel/nodejs/Portfile	(revision 135231)
+++ trunk/dports/devel/nodejs/Portfile	(revision 135232)
@@ -7,4 +7,5 @@
 name                    nodejs
 version                 0.12.2
+revision                1
 
 categories              devel net
Index: trunk/dports/games/openttd/Portfile
===================================================================
--- trunk/dports/games/openttd/Portfile	(revision 135231)
+++ trunk/dports/games/openttd/Portfile	(revision 135232)
@@ -14,4 +14,5 @@
 if {${name} eq ${subport}} {
     version             1.4.4
+    revision            1
     checksums           rmd160  591ffe69e26e4820af29f8e04ec181d4c5119170 \
                         sha256  70f430b883c44f5e62111ea2dfd83f4e1c67835d8cd40dbb73bf89becac2d3f7
Index: trunk/dports/gnome/evolution-data-server/Portfile
===================================================================
--- trunk/dports/gnome/evolution-data-server/Portfile	(revision 135231)
+++ trunk/dports/gnome/evolution-data-server/Portfile	(revision 135232)
@@ -7,4 +7,5 @@
 name                evolution-data-server
 version             3.12.11
+revision            1
 set branch          [join [lrange [split ${version} .] 0 1] .]
 description         Addressbook and calender libs for GNOME.
Index: trunk/dports/graphics/harfbuzz/Portfile
===================================================================
--- trunk/dports/graphics/harfbuzz/Portfile	(revision 135231)
+++ trunk/dports/graphics/harfbuzz/Portfile	(revision 135232)
@@ -64,5 +64,5 @@
 
 subport harfbuzz-icu {
-    revision        0
+    revision        1
     
     description     HarfBuzz ICU support library
Index: trunk/dports/graphics/libcdr-0.1/Portfile
===================================================================
--- trunk/dports/graphics/libcdr-0.1/Portfile	(revision 135231)
+++ trunk/dports/graphics/libcdr-0.1/Portfile	(revision 135232)
@@ -7,4 +7,5 @@
 set dname           libcdr
 version             0.1.1
+revision            1
 categories          graphics
 license             {GPL-2.1+ LGPL-2.1+ MPL-1.1+}
Index: trunk/dports/graphics/libcdr/Portfile
===================================================================
--- trunk/dports/graphics/libcdr/Portfile	(revision 135231)
+++ trunk/dports/graphics/libcdr/Portfile	(revision 135232)
@@ -6,5 +6,5 @@
 name            libcdr
 version         0.0.16
-revision        2
+revision        3
 categories      graphics
 license         {GPL-2.1+ LGPL-2.1+ MPL-1.1+}
Index: trunk/dports/graphics/libvisio-0.1/Portfile
===================================================================
--- trunk/dports/graphics/libvisio-0.1/Portfile	(revision 135231)
+++ trunk/dports/graphics/libvisio-0.1/Portfile	(revision 135232)
@@ -7,5 +7,5 @@
 set dname           libvisio
 version             0.1.1
-revision            1
+revision            2
 categories          graphics
 platforms           darwin
Index: trunk/dports/lang/parrot/Portfile
===================================================================
--- trunk/dports/lang/parrot/Portfile	(revision 135231)
+++ trunk/dports/lang/parrot/Portfile	(revision 135232)
@@ -5,5 +5,5 @@
 name                    parrot
 version                 3.3.0
-revision                5
+revision                6
 categories              lang devel
 license                 Artistic-2
Index: trunk/dports/lang/php/Portfile
===================================================================
--- trunk/dports/lang/php/Portfile	(revision 135231)
+++ trunk/dports/lang/php/Portfile	(revision 135232)
@@ -692,4 +692,6 @@
 subport ${php}-intl {
     if {[vercmp ${branch} 5.3] == 0} {
+        revision            2
+    } else {
         revision            1
     }
Index: trunk/dports/lang/v8/Portfile
===================================================================
--- trunk/dports/lang/v8/Portfile	(revision 135231)
+++ trunk/dports/lang/v8/Portfile	(revision 135232)
@@ -6,5 +6,5 @@
 name                    v8
 version                 3.23.17.23
-revision                2
+revision                3
 
 platforms               darwin
Index: trunk/dports/mail/postfix/Portfile
===================================================================
--- trunk/dports/mail/postfix/Portfile	(revision 135231)
+++ trunk/dports/mail/postfix/Portfile	(revision 135232)
@@ -5,4 +5,5 @@
 name            postfix
 version         3.0.1
+revision        1
 categories      mail
 license         IBMPL-1
Index: trunk/dports/math/R/Portfile
===================================================================
--- trunk/dports/math/R/Portfile	(revision 135231)
+++ trunk/dports/math/R/Portfile	(revision 135232)
@@ -13,4 +13,5 @@
 #Remember to remove revision line when bumping version
 version                     ${major}.${minor}.${point}
+revision                    1
 
 categories                  math science
Index: trunk/dports/net/yaz/Portfile
===================================================================
--- trunk/dports/net/yaz/Portfile	(revision 135231)
+++ trunk/dports/net/yaz/Portfile	(revision 135232)
@@ -6,5 +6,5 @@
 name                yaz
 version             5.4.0
-revision            1
+revision            2
 categories          net databases devel
 platforms           darwin
Index: trunk/dports/news/tin-recent/Portfile
===================================================================
--- trunk/dports/news/tin-recent/Portfile	(revision 135231)
+++ trunk/dports/news/tin-recent/Portfile	(revision 135232)
@@ -74,5 +74,5 @@
 name                tin-recent
 version             1.9.6
-revision            8
+revision            9
 categories          news
 platforms           darwin
Index: trunk/dports/python/py-pyicu/Portfile
===================================================================
--- trunk/dports/python/py-pyicu/Portfile	(revision 135231)
+++ trunk/dports/python/py-pyicu/Portfile	(revision 135232)
@@ -6,5 +6,5 @@
 name            py-pyicu
 version         1.8
-revision        1
+revision        2
 categories-append   textproc
 platforms       darwin
Index: trunk/dports/tex/texlive-bin/Portfile
===================================================================
--- trunk/dports/tex/texlive-bin/Portfile	(revision 135231)
+++ trunk/dports/tex/texlive-bin/Portfile	(revision 135232)
@@ -12,5 +12,5 @@
 name            texlive-bin
 version         2014
-revision        7
+revision        8
 
 categories      tex
Index: trunk/dports/textproc/cicada/Portfile
===================================================================
--- trunk/dports/textproc/cicada/Portfile	(revision 135231)
+++ trunk/dports/textproc/cicada/Portfile	(revision 135232)
@@ -6,5 +6,5 @@
 name                cicada
 version             0.3.5
-revision            1
+revision            2
 categories          textproc
 maintainers         hum openmaintainer
Index: trunk/dports/textproc/dwdiff/Portfile
===================================================================
--- trunk/dports/textproc/dwdiff/Portfile	(revision 135231)
+++ trunk/dports/textproc/dwdiff/Portfile	(revision 135232)
@@ -1,2 +1,3 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
@@ -5,5 +6,5 @@
 name                dwdiff
 version             2.0.9
-revision            2
+revision            3
 categories          textproc
 platforms           darwin
Index: trunk/dports/textproc/sword/Portfile
===================================================================
--- trunk/dports/textproc/sword/Portfile	(revision 135231)
+++ trunk/dports/textproc/sword/Portfile	(revision 135232)
@@ -6,5 +6,5 @@
 name            sword
 version         1.6.2
-revision        7
+revision        8
 set branch      [join [lrange [split ${version} .] 0 1] .]
 categories      textproc
Index: trunk/dports/textproc/vislcg3/Portfile
===================================================================
--- trunk/dports/textproc/vislcg3/Portfile	(revision 135231)
+++ trunk/dports/textproc/vislcg3/Portfile	(revision 135232)
@@ -6,5 +6,5 @@
 name                    vislcg3
 version                 0.9.7.5129
-revision                7
+revision                8
 categories              textproc
 platforms               darwin
Index: trunk/dports/textproc/xercesc3/Portfile
===================================================================
--- trunk/dports/textproc/xercesc3/Portfile	(revision 135231)
+++ trunk/dports/textproc/xercesc3/Portfile	(revision 135232)
@@ -7,5 +7,5 @@
 conflicts           xercesc
 version             3.1.2
-revision            1
+revision            2
 categories          textproc xml shibboleth
 maintainers         snc scantor
Index: trunk/dports/textproc/zorba/Portfile
===================================================================
--- trunk/dports/textproc/zorba/Portfile	(revision 135231)
+++ trunk/dports/textproc/zorba/Portfile	(revision 135232)
@@ -7,5 +7,5 @@
 name            zorba
 version         3.0
-revision        2
+revision        3
 set branch      [join [lrange [split ${version} .] 0 1] .]
 license         Apache-2